Subject: Re: [tcpm] draft-ananth-tcpm-persist-00.txt as a WG document
From: David Borman <[email-masked]>
To: Joe Touch <[email-masked]>
Cc: [email-masked], "Anantha Ramaiah \(ananth\)" <[email-masked]>, [email-masked]
Date: Mon, 29 Sep 2008 17:44:51 -0500
List-Id: TCP Maintenance and Minor Extensions Working Group <tcpm.ietf.org>

(WG co-chair hat on)

Its intended status is informational, so it isn't a protocol  
document.  The purpose is clarification of what the standards already  
say. Clarification of confusion is part of maintenance, even if the  
clarification is not needed by everyone.

(WG co-chair hat off)

I was one of the people pointing out that the implementation is  
separate from the protocol, and that though the protocol says that TCP  
must not abort connections in persist state, in the implementation the  
other parts of the OS or the application can abort a TCP connection at  
any time, which includes connections in persist state.  If this  
document helps to make that clearer for some implementors, then that  
is a good thing.

		-David

On Sep 26, 2008, at 5:32 PM, Joe Touch wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Dave,
>
> I'm not sure any of us disagreed with the content. The question is
> whether it's important, useful, or necessary (in that order) to  
> address
> this, or whether we feel that the existing specs are sufficient.
>
> My conclusion was that applications can always terminate TCP
> connections, and so can OS's - e.g., an OS can always just reboot.
>
> This still sounds like an implementation guideline to me. It may be
> useful, and may be useful to document, but since it's implementation
> focused, I'm not sure I see it as a protocol document.
>
> As a result, I don't think this needs to be a WG document (which is
> where I thought things were from Dublin). We talked there about it
> potentially being an errata to 1122, and even the problems with that
> approach.
>
> Finally, it is not clear this is even in scope - it's not a  
> modification
> to TCP, nor is it maintenance.
>
> Joe
>
> David Borman wrote:
>> At Dublin a presentation was made on draft-ananth-tcpm- 
>> persist-00.txt.
>> Not a lot of people had read the document at the time of the
>> presentation, but there didn't seem to be any objections to  
>> adopting it
>> as a TCPM WG document.
>>
>> The authors posted a summary to the mailing list, have responded to  
>> all
>> issues that were raised, and have a new version of the document ready
>> for publication.  We (Wes and I) feel that there is support for  
>> adopting
>> this as a WG document, but as always, we need to verify this on the
>> mailing list.  So, if you have any objections to adopting this as a  
>> WG
>> document, please speak up now.  Also speak up if you support  
>> adopting it
>> as a WG document.
>>
>> I'll be the first to say I support adopting this as a WG document.   
>> If
>> there are no serious objections, the authors can submit their updated
>> version next week and Wes and I will add it to our list of WG  
>> documents.
>>
>>            -David Borman, TCPM WG co-chair
>>
>> _______________________________________________
>> tcpm mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/tcpm
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.9 (MingW32)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
>
> iEYEARECAAYFAkjdYvgACgkQE5f5cImnZrsMrACfTV5Bl9beeAJ29JDszVT6sVhY
> XQAAoN8VPIAizeB1Z+IgkD/6iwT1h+HP
> =jSx6
> -----END PGP SIGNATURE-----

_______________________________________________
tcpm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tcpm